View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000692Ecere SDKidepublic2012-03-19 02:532013-08-07 03:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000692: project -> clean is not clean enough. lingering .sym symbols files or other difficulties can create bad binaries on build
Descriptionrenaming, removing files can introduce miss matched on lingering .sym files
Steps To Reproduceremove a file after the project has been built. the created .sym file will still be there or subsequent build even after a clean
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000523)
redj (administrator)
2012-03-19 02:54

supporting the distclean target from the ide would be a quick fix
(0000524)
redj (administrator)
2012-03-19 13:20
edited on: 2012-03-22 20:34

https://github.com/ecere/sdk/commit/512090cba9eee0beecbb3395b7bd5ce1ba1246e5 [^]


- Issue History
Date Modified Username Field Change
2012-03-19 02:53 redj New Issue
2012-03-19 02:53 redj Status new => assigned
2012-03-19 02:53 redj Assigned To => redj
2012-03-19 02:54 redj Note Added: 0000523
2012-03-19 04:20 redj Summary ide: clean is not clean enough. lingering .sym symbols files or other difficulties can create bad binaries on build => ide: project -> clean is not clean enough. lingering .sym symbols files or other difficulties can create bad binaries on build
2012-03-19 04:20 redj Steps to Reproduce Updated
2012-03-19 13:20 redj Status assigned => resolved
2012-03-19 13:20 redj Resolution open => fixed
2012-03-19 13:20 redj Note Added: 0000524
2012-03-22 20:32 redj Note Edited: 0000524
2012-03-22 20:34 redj Note Edited: 0000524
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-03-29 08:28 redj Summary ide: project -> clean is not clean enough. lingering .sym symbols files or other difficulties can create bad binaries on build => project -> clean is not clean enough. lingering .sym symbols files or other difficulties can create bad binaries on build
2012-04-07 18:29 redj Fixed in Version => 0.44.1 Android
2012-04-07 18:29 redj Target Version 0.45 Ginkakuji => 0.44.1 Android
2013-05-22 20:32 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker